import { DateOperate } from '../../utils/props';
import dayjs, { Dayjs } from 'dayjs';
declare const _sfc_main: import("vue").DefineComponent<{
    value: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    picker: {
        type?: import("vue").PropType<"date" | "month" | "year" | "week" | "quarter">;
        default?: "date" | "month" | "year" | "week" | "quarter";
    };
    format: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    showTime: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    useCurrentTime: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    operate: {
        type?: import("vue").PropType<DateOperate>;
        default?: DateOperate;
    };
    optionFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    limitStartTime: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    limitEndTime: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "static" | "component">;
        default?: "indicator" | "request" | "static" | "component";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    getPopupContainer: () => HTMLElement;
    myValue: import("vue").Ref<{
        clone: () => dayjs.Dayjs;
        isValid: () => boolean;
        year: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        month: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        date: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        day: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        hour: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        minute: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        second: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        millisecond: {
            (): number;
            (value: number): dayjs.Dayjs;
        };
        set: (unit: dayjs.UnitType, value: number) => dayjs.Dayjs;
        get: (unit: dayjs.UnitType) => number;
        add: {
            (value: number, unit?: dayjs.ManipulateType): dayjs.Dayjs;
            (value: number, unit: dayjs.QUnitType): dayjs.Dayjs;
        };
        subtract: {
            (value: number, unit?: dayjs.ManipulateType): dayjs.Dayjs;
            (value: number, unit: dayjs.QUnitType): dayjs.Dayjs;
        };
        startOf: {
            (unit: dayjs.OpUnitType): dayjs.Dayjs;
            (unit: "D" | "M" | "s" | "date" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "y" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): dayjs.Dayjs;
        };
        endOf: {
            (unit: dayjs.OpUnitType): dayjs.Dayjs;
            (unit: "D" | "M" | "s" | "date" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "y" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): dayjs.Dayjs;
        };
        format: (template?: string) => string;
        diff: (date?: string | number | Date | dayjs.Dayjs, unit?: "D" | "M" | "s" | "date" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "y" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q", float?: boolean) => number;
        valueOf: () => number;
        unix: () => number;
        daysInMonth: () => number;
        toDate: () => Date;
        toJSON: () => string;
        toISOString: () => string;
        toString: () => string;
        utcOffset: () => number;
        isBefore: {
            (date?: string | number | Date | dayjs.Dayjs, unit?: dayjs.OpUnitType): boolean;
            (date?: string | number | Date | dayjs.Dayjs, unit?: dayjs.QUnitType): boolean;
        };
        isSame: {
            (date?: string | number | Date | dayjs.Dayjs, unit?: dayjs.OpUnitType): boolean;
            (date?: string | number | Date | dayjs.Dayjs, unit?: dayjs.QUnitType): boolean;
        };
        isAfter: {
            (date?: string | number | Date | dayjs.Dayjs, unit?: dayjs.OpUnitType): boolean;
            (date?: string | number | Date | dayjs.Dayjs, unit?: dayjs.QUnitType): boolean;
        };
        locale: {
            (): string;
            (preset: string | ILocale, object?: Partial<ILocale>): dayjs.Dayjs;
        };
        quarter: {
            (): number;
            (quarter: number): dayjs.Dayjs;
        };
    }>;
    locale: import("ant-design-vue/es/date-picker/generatePicker").PickerLocale;
    change: () => void;
    scaleValue: {
        widthScale: string;
        heightScale: string;
    };
    popupStyle: any;
    customStyle: any;
    openChange: (status: boolean) => void;
    isMobile: boolean;
    mobileDateStr: import("vue").Ref<string>;
    handleClearDate: () => void;
    openDatePick: () => void;
    datePickVisible: import("vue").Ref<boolean>;
    columnsType: import("vue").ComputedRef<string[]>;
    mobileDate: import("vue").Ref<any[]>;
    onConfirmDate: () => void;
    onCancelDate: () => void;
    disabledDate: (current: Dayjs) => boolean;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    picker: {
        type?: import("vue").PropType<"date" | "month" | "year" | "week" | "quarter">;
        default?: "date" | "month" | "year" | "week" | "quarter";
    };
    format: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    showTime: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    useCurrentTime: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    operate: {
        type?: import("vue").PropType<DateOperate>;
        default?: DateOperate;
    };
    optionFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    limitStartTime: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    limitEndTime: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    data: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "static" | "component">;
        default?: "indicator" | "request" | "static" | "component";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>;
export default _sfc_main;
